Eclipse Platform Release 3.7

## org.eclipse.jface.viewers
Interface IPostSelectionProvider

All Superinterfaces:
  ISelectionProvider

All Known Implementing Classes:
  AbstractListViewer, AbstractTableViewer, AbstractTextEditor.SelectionProvider, AbstractTreeViewer, CheckboxTableViewer, CheckboxTreeViewer, ColumnViewer, ComboViewer, CommonViewer, ContainerCheckedTreeViewer, DiffTreeViewer, ListViewer, MultiPageSelectionProvider, PageBookView.SelectionProvider, ProjectionViewer, SourceViewer, StructureDiffViewer, StructuredViewer, TableTreeViewer, TableViewer, TextConsoleViewer, TextViewer, TreeViewer

    public interface IPostSelectionProvider

extends ISelectionProvider

Selection provider extension interface to allow providers to notify about post selection changed events. A post selection changed event is equivalent to selection changed event if the selection change was triggered by the mouse, but it has a delay if the selection change is triggered by keyboard navigation.

Since:
  3.0
See Also:
  `ISelectionProvider`

Method Summary
`void` `addPostSelectionChangedListener(ISelectionChangedListener listener)` Adds a listener for post selection changes in this selection provider.
`void` `removePostSelectionChangedListener(ISelectionChangedListener listener)` Removes the given listener for post selection changes from this selection provider.

Methods inherited from interface org.eclipse.jface.viewers.ISelectionProvider
`addSelectionChangedListener, getSelection, removeSelectionChangedListener, setSelection`

Method Detail

### addPostSelectionChangedListener

    void addPostSelectionChangedListener(ISelectionChangedListener listener)

  Adds a listener for post selection changes in this selection provider. Has no effect if an identical listener is already registered.

  Parameters:
    `listener` - a selection changed listener

### removePostSelectionChangedListener

    void removePostSelectionChangedListener(ISelectionChangedListener listener)

  Removes the given listener for post selection changes from this selection provider. Has no effect if an identical listener is not registered.

  Parameters:
    `listener` - a selection changed listener

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.